# coding: Shift_JIS

# ##############################

# ファイル名: globaldelete.py
# 機能: グローバル変数のためのダミー関数を作成する．
# 関数: globaldelete
# 著者名: 山本椋太，若林丈紘

# ##############################

#from parse import *
import re
import sys

# ##############################

# 関数名: globaldelete
# 機能: グローバル変数のためのダミー関数を作成する．
# 引数
#   readFile: 解析対象のcファイル
#   writeFile: 解析対象のcファイル

# ##############################

def globaldelete(readFile,writeFile):

    fi = open(readFile)
    lines = fi.readlines()
    fi.close()

    fo = open(writeFile,'w')
    i = 0

    fol = open("temp/globalvar.tsv","w")

    lsize = len(lines)
    i = 0
    while i < lsize:
        if re.match("FC@@@",lines[i]):
            break
        #extract gloval variables
        while " ;" in lines[0]:
            lines[0] = lines[0].replace(" ;",";")
        lines[0] = lines[0].split(" ")[-1].replace(";\n","\n")
        if "[" in lines[0]:
            lines[0] = lines[0].split("[")[0]
            lines[0] += "\n"
        print(lines[0],file=fol,end="")
        del lines[0]
    fol.close()

    for line in lines:
        print(line,end="",file=fo)
    fo.close()

if __name__ == '__main__':
    globaldelete(sys.argv[1],sys.argv[2])
